WordPress.org

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Smart Archives Reloaded

Easily display posts grouped by year and month, in one or more elegant formats

2.0.5

  • prevent useless SQL queries
  • use latest scbFramework

2.0.4

  • fixed menu when on date archives
  • WP 3.1 compatibility

2.0.3

  • fixed year order in menu & fancy modes
  • improved memory usage

2.0.2

  • fixed year order in block
  • highlighted current month in block
  • updated scbFramework

2.0.1

  • fixed category exclusion

2.0

  • added %excerpt% tag
  • fewer queries
  • advanced post selection
  • removed caching engine
  • more info

1.9.2

  • re-enabled cache

1.9.1

  • updated .pot file
  • made generator class non-static

1.9

  • added 'menu' format
  • added new arguments: 'month_format', 'posts_per_month', 'generator'
  • added 'smart_archives_css' filter
  • more info

1.8.3

  • fancy archive fix for IE
  • optimized CSS loading
  • update French translation

1.8.2

  • fix broken update

1.8.1

  • added Clear cache button
  • load js only when needed
  • compatibility with the MailPress plugin

1.8

  • override arguments with smart_archives() or [smart_archives]
  • added include_cat arg
  • added Chinese l10n
  • more info

1.7.1

  • fancy archive improvements

1.7

  • added "fancy" option
  • added %category_link%, %category% and %date%
  • added Uzbek translation
  • more info

1.6.2

  • added %comment_count% tag
  • added Belarusian translation
  • dropped support for WordPress older than 2.8

1.6.1

  • bugfix

1.6

  • added list format option with these tags:
  • %post_link%
  • %author_link%
  • %author%

1.5.2

  • added two filters: smart_archives_title, smart_archives_exclude_categories

1.5.1

  • fixed "Save Changes" button
  • l10n: danish, italian, russian

1.5

1.4

1.3

1.2

1.1

  • uses wp-cron

1.0

  • initial release

Requires: 3.2 or higher
Compatible up to: 3.4.2
Last Updated: 2013-3-21
Active Installs: 10,000+

Ratings

4.5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,2,2 100,1,1 0,1,0
100,2,2 50,2,1 100,1,1 0,1,0 100,1,1
100,1,1 100,2,2
100,2,2 100,1,1
60,5,3 100,1,1 75,4,3
50,4,2
100,3,3 0,1,0 100,4,4
100,1,1
100,2,2
100,2,2
100,2,2
100,7,7
50,2,1
25,4,1
100,2,2
100,1,1
60,5,3
75,4,3
33,3,1
40,5,2
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1